 
import Param2.*;
import org.omg.CosNaming.*;
import org.omg.CORBA.*;
import java.io.*;

public class Client {
    public static void main(String args[]) {
        try {
            // create and initialize the ORB
            ORB orb = ORB.init(args, null);
 
            // get the root naming context
            org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");
            NamingContext ncRef = NamingContextHelper.narrow(objRef);

            // resolve the Object Reference in Naming
            NameComponent nc = new NameComponent("Test", "");
            NameComponent path[] = {nc};
            Test testRef = TestHelper.narrow(ncRef.resolve(path));
   
            // prepare param passing
            BufferedReader stdin =
                  new BufferedReader(new InputStreamReader(System.in));
            String line;
            System.out.println("Number =");
            line = stdin.readLine();
            int i = Integer.parseInt(line);            
            MyIntegerServant mi = new MyIntegerServant();
            mi.set(2 * i);
	    MyIntegerHolder mih = new MyIntegerHolder(mi);
            MyIntegerServant[] myintarray = new MyIntegerServant[10];
            myintarray[4] = mi;
            MyArrayHolder mah = new MyArrayHolder(myintarray);
    
            // call the Test server object and print results
            String outstr = testRef.doSomething(mih, mah); 
            System.out.println("myinteger = " + mi.get());              
            System.out.println("myintegerarray[4] = " + myintarray[4].get()); 
            System.out.println("return string = " + outstr);  
        } 
        catch (Exception e) {
            System.out.println("ERROR : " + e) ;
            e.printStackTrace(System.out);
        }
    }
}

 






